# PSF-LoginServer - master - net.psforever.objects.vital.projectile.CustomDistanceCutoff
PSF - LoginServer - master - net.psforever.objects.vital.projectile.CustomDistanceCutoff
Keywords: PSF LoginServer master net.psforever.objects.vital.projectile.CustomDistanceCutoff

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package projectile
  Definition Classes
    vital
- CometAggravated
- CometAggravatedBurn
- CustomDistanceCutoff
- DistanceDegrade
- FireballAggravatedBurn
- FlailDistanceDamageBoost
- FlakBurst
- FlakHit
- InfantryAggravatedDirect
- InfantryAggravatedDirectBurn
- InfantryAggravatedSplash
- InfantryAggravatedSplashBurn
- Lash
- MaxDistanceCutoff
- MeleeBoosted
- ProjectileDamageModifierFunctions
- ProjectileDamageModifiers
- ProjectileReason
- SpikerChargeDamage
- StarfireAggravated
- StarfireAggravatedBurn

c

net.psforever.objects.vital.projectile

# CustomDistanceCutoff

###

#### case class CustomDistanceCutoff(cutoff: Float) extends Mod with Product with Serializable

If the calculated distance is greater than a custom distance, damage is zero'd.

Source
  ProjectileDamageModifierFunctions.scala

Linear Supertypes
Serializable, Product, Equals, Mod, Mod, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CustomDistanceCutoff
2. Serializable
3. Product
4. Equals
5. Mod
6. Mod
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CustomDistanceCutoff(cutoff: Float)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(damage: Int, data: DamageInteraction, cause: ProjectileReason): Int
   Definition Classes
     CustomDistanceCutoff → Mod
6.  def calculate(damage: Int, data: DamageInteraction, cause: DamageReason): Int
   Definition Classes
     Mod → Mod
7.  final def calculate(damage: Int, data: DamageInteraction): Int

   Perform the underlying calculations, returning a modified value from the input value.

   Perform the underlying calculations, returning a modified value from the input value.

   Definition Classes
     Mod
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val cutoff: Float
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Mod

### Inherited from AnyRef

### Inherited from Any

### Ungrouped